<?xml version="1.0" encoding="UTF-8"?>
<!-- *************************************
This stylesheet creates a table corresponding to the annotation of abstractive summaries.
There are no external files to be used.
Format of the table: meeting_id, annotator, paragraph_type, sentence_number, sentence.
Andrei Popescu-Belis, Feb 2007
****************************************-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:nite="http://nite.sourceforge.net/">
	<xsl:output method="text" version="1.0" encoding="ISO-8859-1" indent="no"/>
	<!-- ************************************************ -->
	<xsl:template match="nite:root">
		<xsl:apply-templates select="//sentence"/>
	</xsl:template>
	<!-- ************************************************ -->
	<xsl:template match="sentence">
		<!-- meeting_id -->
		<xsl:value-of select="substring-before(@nite:id,'.')"/> <!-- sample @nite:id : ES2002a.rdhillon.s.1 -->
		<xsl:text>	</xsl:text>
		<!-- annotator -->
		<xsl:value-of select="substring-before(substring-after(@nite:id,'.'),'.')"/>
		<xsl:text>	</xsl:text>
		<!-- paragraph_type -->
		<xsl:value-of select="name(..)"/>
		<xsl:text>	</xsl:text>
		<!-- sentence_number -->
		<xsl:value-of select="substring-after(@nite:id,'s.')"/>
		<xsl:text>	</xsl:text>
		<!-- sentence -->
		<xsl:value-of select="translate(.,'&#x0d;&#x0a;&#x09;','  ')"/>
		<xsl:text>
</xsl:text>
	</xsl:template>
	<!-- ********************************************* -->
</xsl:stylesheet>
